From 64514b04af53896caf18d61dfe3f185746410d8a Mon Sep 17 00:00:00 2001
From: itdominator <1itdominator@gmail.com>
Date: Tue, 22 Aug 2023 20:24:08 -0500
Subject: [PATCH] Added pyright conf, upfated readme, classe exception added
---
README.md | 3 +++
pyrightconfig.json | 11 +++++++++++
src/versions/solarfm-0.0.1/create-stubs.sh | 16 ++++++++++++++++
.../solarfm-0.0.1/solarfm/core/window.py | 3 +++
4 files changed, 33 insertions(+)
create mode 100644 pyrightconfig.json
create mode 100644 src/versions/solarfm-0.0.1/create-stubs.sh
diff --git a/README.md b/README.md
index db7c8b5..9f0ca6a 100644
--- a/README.md
+++ b/README.md
@@ -7,6 +7,9 @@ SolarFM is a Gtk+ Python file manager.
Additionally, if not building a .deb then just move the contents of user_config to their respective folders.
Copy the share/solarfm folder to your user .config/ directory too.
+`pyrightconfig.json`
+
The pyrightconfig file needs to stay on same level as the .git folders in order to have settings detected when using pyright with lsp functionality.
+
Install Setup
```
sudo apt-get install python3.8 python3-setproctitle python3-gi wget ffmpegthumbnailer steamcmd
diff --git a/pyrightconfig.json b/pyrightconfig.json
new file mode 100644
index 0000000..6c993a3
--- /dev/null
+++ b/pyrightconfig.json
@@ -0,0 +1,11 @@
+{
+ "reportUndefinedVariable": false,
+ "reportUnusedVariable": false,
+ "reportUnusedImport": true,
+ "reportDuplicateImport": true,
+ "executionEnvironments": [
+ {
+ "root": "./src/versions/solarfm-0.0.1/solarfm"
+ }
+ ]
+}
diff --git a/src/versions/solarfm-0.0.1/create-stubs.sh b/src/versions/solarfm-0.0.1/create-stubs.sh
new file mode 100644
index 0000000..6b98630
--- /dev/null
+++ b/src/versions/solarfm-0.0.1/create-stubs.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# . CONFIG.sh
+
+# set -o xtrace ## To debug scripts
+# set -o errexit ## To exit on error
+# set -o errunset ## To exit if a variable is referenced but not set
+
+
+function main() {
+ cd "$(dirname "")"
+ echo "Working Dir: " $(pwd)
+
+ python -m pyright --createstub solarfm
+}
+main "$@";
diff --git a/src/versions/solarfm-0.0.1/solarfm/core/window.py b/src/versions/solarfm-0.0.1/solarfm/core/window.py
index c6d03f2..f9a5d93 100644
--- a/src/versions/solarfm-0.0.1/solarfm/core/window.py
+++ b/src/versions/solarfm-0.0.1/solarfm/core/window.py
@@ -16,6 +16,9 @@ from core.controller import Controller
+class ControllerStartException(Exception):
+ ...
+
class Window(Gtk.ApplicationWindow):
"""docstring for Window."""